Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1556315 - rdkit: FTBFS - fatal error: xlocale.h: No such file or directory
Summary: rdkit: FTBFS - fatal error: xlocale.h: No such file or directory
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rdkit
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gianluca Sforna
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 23:38 UTC by Fedora Release Engineering
Modified: 2018-06-27 14:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 14:45:38 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Release Engineering 2018-03-14 23:38:57 UTC
Your package rdkit failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24887607

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Jitka Plesnikova 2018-03-15 08:17:10 UTC
It fails also if Fedora Rawhide and F27 with following error:

[  2%] Building CXX object Code/RDGeneral/CMakeFiles/RDGeneral.dir/LocaleSwitcher.cpp.o
cd /builddir/build/BUILD/rdkit-Release_2016_09_4/python2/Code/RDGeneral && /usr/bin/c++  -DRDGeneral_EXPORTS -DRDK_64BIT_BUILD -DRDK_BUILD_DESCRIPTORS3D -DRDK_HAS_EIGEN3 -DRDK_TEST_MULTITHREADED -DRDK_USE_STRICT_ROTOR_DEFINITION -I/usr/include/inchi -I/usr/include/python2.7 -I/builddir/build/BUILD/rdkit-Release_2016_09_4/python2/Code -I/usr/include/eigen3  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -Wl,--as-needed -mpopcnt -Wno-deprecated -Wno-unused-function -fno-strict-aliasing -fPIC -Wall -Wextra -O2 -g -DNDEBUG -fPIC   -DRDK_THREADSAFE_SSS -DBOOST_ALL_NO_LIB -o CMakeFiles/RDGeneral.dir/LocaleSwitcher.cpp.o -c /builddir/build/BUILD/rdkit-Release_2016_09_4/python2/Code/RDGeneral/LocaleSwitcher.cpp
/builddir/build/BUILD/rdkit-Release_2016_09_4/python2/Code/RDGeneral/LocaleSwitcher.cpp:36:10: fatal error: xlocale.h: No such file or directory
 #include <xlocale.h>
          ^~~~~~~~~~~
compilation terminated.
make[2]: *** [Code/RDGeneral/CMakeFiles/RDGeneral.dir/build.make:186: Code/RDGeneral/CMakeFiles/RDGeneral.dir/LocaleSwitcher.cpp.o] Error 1
make[2]: *** Waiting for unfinished jobs....

Additional info could be find here:
https://apps.fedoraproject.org/koschei/package/rdkit

Comment 2 Jitka Plesnikova 2018-03-15 08:30:16 UTC
From glibc.spec:

* Wed Jun 21 2017 Florian Weimer <fweimer> - 2.25.90-8
- Adjust build requirements for gcc, binutils, kernel-headers.
- Auto-sync with upstream master,
  commit 43e0ac24c836eed627a75ca932eb7e64698407c6, changing:
- Remove <xlocale.h>


Note You need to log in before you can comment on or make changes to this bug.